require(['config'], function() {
	require([
		'jquery'
	], function($) {

		setTimeout(function() {
			// mobMainObj.init();
		}, 100);

	});
});

let MOBILE_APP_VERSION = '';

let NTICE_DETAIL_GRID_LIST = '/api/ntice/main-detail-grid-list';
let MAIN_CHART_COUNT = '/api/main/chart/count';
let MAIN_CHART_PCH_REQ_CHART = '/api/main/chart/pch-req-chart';
let MAIN_CHART_PCH_ODR_CHART = '/api/main/chart/pch-odr-chart';
let MAIN_CHART_PR_RANK_CHART = '/api/main/chart/pr-rank-chart';
let MAIN_CHART_STL_CHART = '/api/main/chart/stl-chart';
let MAIN_CHART_SFT_STCK_CHART = '/api/main/chart/sft-stck-chart';
let MAIN_CHART_DELI_CHART = '/api/main/chart/deli-chart';

var chartCnt=0;
var chartWidth=window.offsetWidth-16;
function clickNotify(nticeNo) {
	mobPopObj.popNotice.open(nticeNo);
}
 
var mobMainObj = {
	init: function () {
		var PushURL = CommonObj.getParameter('PushURL');
		if(PushURL) {
			const id = PushURL.substring(PushURL.lastIndexOf('/') + 1, PushURL.length).replace(".html", "");
			const href = MOBILE_CONTEXTPATH + PushURL;
			fn_make_slide_menu.loadPage(id, href);
		} else {
			this.ui();
			this.action();
			this.notice.init();
			// this.count.init();
			// this.chart.init();
		}
		
	},
	ui: function() { 
		var authTpCd = fn_make_user_info.get('authTpCd');
		if(authTpCd === '40' ) {
			$('#ITP_BRAND_ICON_BAR').show();
			if(fn_make_user_info.get('authTpCd') === '40') {
				if(fn_make_user_info.get('shmtColProcType') === '10') {
					$('#ITP_BRAND_ICON_BAR .itp_icon_bar').each(function(i) {
						if(i < 2) {
							$(this).find('.md').remove();
							$(this).find('.itp_icon').addClass('w50');
						}
					});
				}
			}
		} else if(authTpCd === '50') {
			$('#ITP_STR_ICON_BAR').show();
		} else if(authTpCd === '60') {
			$('#ITP_SPY_ICON_BAR').show();
		} 
	},
	action: function() {
		var _this = this;
		var getURL = function(id) {
			if(id=='MSALESMNG03010') return '/app/msalesmng/'+id+'.html';
			var rtnURL = '';
			$.each(AUTH_MENU_LIST, function(key, value) {
				if(value.menuId === id) {
					rtnURL = value.connUrl;
					return false;
				}
			});
			return rtnURL;
		};
		$('#ITP_MAIN_CONTAINER button').on('click', function() {
			const id = $(this).data('menu-id');
			const connURL = getURL(id);
			if(connURL !== '') {
				const href = MOBILE_CONTEXTPATH + connURL;
				fn_make_slide_menu.loadPage(id, href);
			}
		});
	},
	notice: {
		init: function () {
			this.load();
		},
		load: function () {
			var searhFn = function(result) { 
				if(Array.isArray(result.gridRows) && result.gridRows.length ) {
					var s='', idx=1;
					for(var c of result.gridRows ) {
						let title=c.nticeTitl;
						if(title.length>62) {
							title=title.substr(0,62)+'...';
						} 
						s+=`<li>
							<div class="itp_note_info">
								<div class="under fnNoteTitle"><a href="javascript:clickNotify('${c.nticeNo}')">${title}</a></div>
								<div style="width:75px;" class="fnNoteDt">${c.addDt}</div>
							</div>
						</li>`; 
					}
					$('#ITP_NOTE_ROW').html(s);
				} else {
					$('#ITP_NOTE_ROW').html('<div class="itp_note_bar" style="display: block;"> <h1>등록된 게시물이 없습니다.</h1> </div>')
				} 
			};
			fn_ajax_call(NTICE_DETAIL_GRID_LIST, "{}", searhFn, 'POST');
		}
	},
	
	
};

function appCallFnVersion(version) {
	MOBILE_APP_VERSION = version;
	/*console.log(MOBILE_APP_VERSION);*/
}

let mobPopObj = {
	popNotice: {
		popId: 'ITP_POP_NOTICE',
		open: function (nticeNo) {
			mobPopObj.show(this.popId);
			this.search(nticeNo);
		},
		close: function() {
			mobPopObj.hide(this.popId);
		},
		search: function (nticeNo) { 
			const me=this;
			fn_ajax_call('/api/ntice/info-ntice', {nticeNo}, function(result) {
				// 브랜드그룹 셋팅
				$('#ITP_POP_NOTICE_AREA .fnNoteNm').html(result.nticeTitl);
				$('#ITP_POP_NOTICE_AREA .fnNote').html(result.nticeDesc);
				$('#ITP_POP_NOTICE_AREA .fnNoteFromTo').html(result.notiStDay+' ~ '+result.notiEdDay); 
				me.makeFileDownloadTable($('#ITP_POP_NOTICE_AREA .fnNoteFile'),result.fileNo); 
				/*
				$('#ITP_FORM_NOTICE_INFO_POPUP_AFFL_SHOP_NM').html(result.afflShopNm);
				$('#ITP_FORM_NOTICE_INFO_POPUP_BRAND_NM').html(result.brandNm);
				*/ 
			}, 'GET');
		},
		makeFileDownloadTable: function (el, fileNo) {
			var searhFn = function(result) {
				var html = '';
				html += '<table class="table fileupload-download">';
				html += '<tbody>';
				$.each(result, function (key, value) { 
					html += '<tr class="fileupload-downloadrow no-thumb row">';	
					html += '<td class="col-xs-9 itp_file_info" data-file-no="' + value.fileNo + '" data-file-seq="' + value.fileSeq + '">';
					html += '<a href="' + DOMAIN + '/api/file/download/' + value.fileNo + '/' + value.fileSeq + '">';
					html += value.fileOrgNm + '</a></td>';
					html += '<td class="col-xs-3">' + value.fileSize + '</td>'; 
					html += '</tr>';
				});
				html += '</tbody>';
				html += '</table>';
				el.html(html);
			}
			fn_ajax_call('/api/file/list', {fileNo}, searhFn, 'GET');
		}
		
	},
	show: function(popId) {
		$('#' + popId+' .btn-pop-close').on('click', function() {
			mobPopObj.hide(popId);
		});
		$('#' + popId).show();
	},
	hide: function(popId) {
		$('#' + popId).closest('.mobile-pop-close').hide();
	}
};

function appCallFnConnKey(connKey) {
	if(connKey) {
		sessionStorage.setItem('itp_login_info', JSON.stringify({
			timestamp: new Date(),
			connKey: connKey
		}));
		itp_fn_session_data(connKey);
	} else {
		location.replace('app:logout');
	}
}
